{% extends 'base.html' %}
{% load i18n %}
{% load static %}

{% block javascript %}
    {{ block.super }}
    <script defer src="{% static 'bookings/ressource_category_day.js' %}"></script>
{% endblock javascript %}

{% block style %}
    {{ block.super }}
    <link rel="stylesheet" href="{% static 'bookings/table_reservation.css' %}">
{% endblock style %}

{% block content %}
    <div class="row my-2">
        <div class="col-md-9">
            <div class="row">
                <div class="col-md-12">
                    {% include 'bookings/resource/resource_category_nav.html' %}
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <h2>
                        {% block title %}
                            {{ category.name }} - {{ date }}
                        {% endblock title %}
                    </h2>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    {% for paragraph in paragraphs %}
                        <h3>{{ paragraph.order_public }}. {{ paragraph.title }}</h3>
                        <p>
                            {{ paragraph.content }}
                        </p>
                    {% endfor %}
                </div>
            </div>
        </div>
        {% comment %}

        Calendrier

        {% endcomment %}
        <div class="col-md-3">
            <div class="card">
                <div class="card-title mb-0 text-center">
                    <a href="{{ category.get_absolute_url }}?year={{ date.year }}&month={{ date.month|add:'-1' }}&day={{ 1 }}"
                       class="btn btn-secondary btn-sm float-start"><span class="fa-solid fa-angles-left"></span></a>
                    <span class="fa-solid fa-calendar"></span>
                    <span>{{ date|date:'F'|title }} {{ date.year }}</span>
                    <a href="{{ category.get_absolute_url }}?year={{ date.year }}&month={{ date.month|add:'1' }}&day={{ 1 }}"
                       class="btn btn-secondary btn-sm float-end"><span class="fa-solid fa-angles-right"></span></a>
                </div>
                <div class="card-body px-0 py-0">
                    <table class="table table-light table-bordered mb-0" aria-label="{% translate 'Calendrier mensuel' %}">
                    <thead class="table-secondary">
                        <tr>
                            <th class="text-center">{% translate 'Lu' %}</th>
                            <th class="text-center">{% translate 'Ma' %}</th>
                            <th class="text-center">{% translate 'Me' %}</th>
                            <th class="text-center">{% translate 'Je' %}</th>
                            <th class="text-center">{% translate 'Ve' %}</th>
                            <th class="text-center">{% translate 'Sa' %}</th>
                            <th class="text-center">{% translate 'Di' %}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for week in weeks %}
                            {% if week|length > 0 %}
                                <tr>
                                    {% for day in week %}
                                        <td class="text-center position-relative {% if day == date %}bg-secondary{% endif %}">
                                            <a class="stretched-link text-decoration-none {% if day == date %}link-light{% else %}link-dark{% endif %}"
                                               href="{{ category.get_absolute_url }}?year={{ day.year }}&month={{ day.month }}&day={{ day.day }}">
                                                {% if day.month != date.month %}
                                                    {{ day.day }}
                                                {% else %}
                                                    <strong>{{ day.day }}</strong>
                                                {% endif %}
                                            </a>
                                        </td>
                                    {% endfor %}
                                </tr>
                            {% endif %}
                        {% endfor %}
                    </tbody>
                </table>
                </div>
                <div class="card-text text-center d-grid">
                    <a href="{{ category.get_absolute_url }}?year={{ today.year }}&month={{ today.month }}&day={{ today.day }}"
                       class="btn btn-secondary btn-sm btn-block">{% translate "Aujourd'hui" %}</a>
                </div>
            </div>
        </div>
    </div>
    {% comment %}

    Tableau du matériel de la catégorie

    {% endcomment %}
    <div class="row">
        <div class="col-md-12">
            <div id="table-reservation" class="table-responsive">
                <table class="table table-hover table-condensed table-bordered table-light" aria-label="Reservations">
                    <thead>
                        <th class="text-center active col-md-1">{% translate 'Heure' %}</th>
                        {% for resource in resource_list %}
                            <th colspan="2" class="text-center active col-md-1">
                                <span>{{ resource.name }}</span>
                                <br/>
                                {% if resource.description %}
                                    {# Description de la ressource qui apparaît quand on clique sur le bouton et disparaît quand on clique en dehors #}
                                    <a tabindex="0" class="btn btn-sm btn-info" role="button"
                                       data-bs-toggle="popover" data-bs-placement="bottom" data-bs-trigger="focus"
                                       data-bs-title="Description" data-bs-content="{{ resource.description }}">
                                        <span>Description</span>
                                    </a>
                                {% endif %}
                                {% if user.is_staff and perms.bookings.change_resource %}
                                    <a class="btn btn-danger btn-sm"
                                       href="{% url 'admin:bookings_resource_change' resource.id %}">
                                        <span>{% translate "Éditer" %}</span>
                                        <span class="fa-solid fa-pen-to-square"></span>
                                    </a>
                                {% endif %}
                            </th>
                        {% endfor %}
                    </thead>
                    {% for line in lines %}
                        <tr>
                            <td class="text-center active">
                                {{ line.slot.start|date:'H:i' }} - {{ line.slot.end|date:'H:i' }}
                            </td>

                            {% for cell in line.cells %}
                                {% if cell.type == 'booked' %}
                                    <td class="text-center align-middle bg-info"
                                        rowspan="{{ cell.rowspan }}" {% if cell.count == 0 %}colspan="2"{% endif %}>
                                        {% if user.is_authenticated %}
                                            {% if cell.resource.number == 1 %}
                                                {% with occurrence=cell.occurrences|first %}
                                                    <a href="{{ occurrence.booking.get_absolute_url }}">
                                                        <strong>{{ occurrence.booking.reason }}</strong>
                                                        ({{ occurrence.booking.owner }})
                                                    </a>
                                                    {% if occurrence.start.date != occurrence.end.date %}
                                                        <br>
                                                        <small>
                                                            <span class="fa-solid fa-clock"></span>
                                                            {% blocktranslate with start_d=occurrence.start|date:'d/m/Y' start_t=occurrence.start|date:'H:i' end_d=occurrence.end|date:'d/m/Y' end_t=occurrence.end|date:'H:i' %}
                                                                {{ start_d }} ({{ start_t }}) -
                                                                {{ end_d }} ({{ end_t }})
                                                            {% endblocktranslate %}
                                                        </small>
                                                    {% endif %}
                                                {% endwith %}
                                            {% else %}
                                                <a href="{% url 'bookings:occurrences_filter' %}?filter={{ cell.occurrences_id|join:',' }}">
                                                    <strong>{% translate "Réservé" %}</strong>
                                                </a>
                                            {% endif %}
                                        {% else %}
                                            <strong>
                                                {% translate "Réservé" %}
                                            </strong>
                                            {% if cell.resource.number != 1 %}
                                                <br>
                                                <small>
                                                    {% with occurrence=cell.occurrences|first %}
                                                        {% if occurrence.start.date != occurrence.end.date %}
                                                            <span class="fa-solid fa-clock"></span>
                                                            {% blocktranslate with start_d=occurrence.start|date:'d/m/Y' start_t=occurrence.start|date:'H:i' end_d=occurrence.end|date:'d/m/Y' end_t=occurrence.end|date:'H:i' %}
                                                                {{ start_d }} ({{ start_t }}) -
                                                                {{ end_d }} ({{ end_t }})
                                                            {% endblocktranslate %}
                                                        {% endif %}
                                                    {% endwith %}
                                                </small>
                                            {% endif %}
                                        {% endif %}
                                    </td>
                                {% elif cell.type == 'locked' %}
                                    <td class="text-center align-middle bg-danger" colspan="2" rowspan="{{ cell.rowspan }}">
                                        {% if user.is_authenticated %}
                                            <strong>
                                                {% if user.is_staff and perms.bookings.change_resourcelock %}
                                                    <a href="{% url 'admin:bookings_resourcelock_change' cell.lock.id %}">
                                                        <span class="fa-solid fa-lock"></span>
                                                        {{ cell.lock.reason }}
                                                    </a>
                                                {% else %}
                                                    <span class="fa-solid fa-lock"></span>
                                                    {{ cell.lock.reason }}
                                                {% endif %}
                                            </strong>
                                            <br>
                                            <small>
                                                {% with lock=cell.lock %}
                                                    {% if lock.start.date != lock.end.date %}
                                                        <span class="fa-solid fa-clock"></span>
                                                        {% blocktranslate with start_d=lock.start|date:'d/m/Y' start_t=lock.start|date:'H:i' end_d=lock.end|date:'d/m/Y' end_t=lock.end|date:'H:i' %}
                                                            {{ start_d }} ({{ start_t }}) -
                                                            {{ end_d }} ({{ end_t }})
                                                        {% endblocktranslate %}
                                                    {% endif %}
                                                {% endwith %}
                                            </small>
                                        {% else %}
                                            <strong>
                                                <span class="fa-solid fa-lock"></span>
                                                {% translate "Verrouillé" %}
                                            </strong>
                                            <br>
                                            <small>
                                                {% with lock=cell.lock %}
                                                    {% if lock.start.date != lock.end.date %}
                                                        <span class="fa-solid fa-clock"></span>
                                                        {% blocktranslate with start_d=lock.start|date:'d/m/Y' start_t=lock.start|date:'H:i' end_d=lock.end|date:'d/m/Y' end_t=lock.end|date:'H:i' %}
                                                            {{ start_d }} ({{ start_t }}) -
                                                            {{ end_d }} ({{ end_t }})
                                                        {% endblocktranslate %}
                                                    {% endif %}
                                                {% endwith %}
                                            </small>
                                        {% endif %}
                                    </td>

                                {% elif cell.count > 0 %}
                                    <td class="text-center align-middle" {% if cell.type == 'free' %}colspan="2"{% endif %}>
                                        {% if user.is_authenticated %}
                                            <a class="fa-solid fa-plus text-decoration-none"
                                               href="{% url 'bookings:booking-new' %}?start={{ line.slot.start.isoformat }}&resource={{ cell.resource.pk }}">
                                            </a>
                                        {% endif %}
                                        ({{ cell.count }})
                                    </td>
                                {% endif %}
                            {% endfor %}
                        </tr>
                    {% endfor %}
                </table>
            </div>
        </div>
    </div>
{% endblock content %}
